"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const clsx = require("clsx");
const Box = require("../../../core/Box/Box.cjs");
const Loader_module_css = require("../Loader.module.css.cjs");
const Dots = React.forwardRef(({ className, ...others }, ref) => /* @__PURE__ */ jsxRuntime.jsxs(Box.Box, { component: "span", className: clsx(Loader_module_css.default.dotsLoader, className), ...others, ref, children: [
  /* @__PURE__ */ jsxRuntime.jsx("span", { className: Loader_module_css.default.dot }),
  /* @__PURE__ */ jsxRuntime.jsx("span", { className: Loader_module_css.default.dot }),
  /* @__PURE__ */ jsxRuntime.jsx("span", { className: Loader_module_css.default.dot })
] }));
Dots.displayName = "@mantine/core/Dots";
exports.Dots = Dots;
